Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.14 veröffentlicht (30.11.17)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Jquery Updaten?
#1
Hi,

da nun 1.8 draussen ist brennt mich eine dringende Frage

Da man nun mehr mit Javascript und co tuen "könnte", wie können wir das Jquery updaten, damit wir immer die aktuellste Version haben?

Bin kein Jquery Profi, doch ich hab schon öfters erlebt das man bestimmte Scripts nicht nutzen kann ohne die richtige Library, doch ist es auch umgekehrt?

Klappt alles was in Jquery 1.1 auch in 2.1 oder muss man die 1.1 umschreiben? ( Beispiel )

Würde es gern wissen da meine Homepage selbst Jquery 2.1.1 benutzt und ich eigentlich immer alles aktuell halten will bezüglich modernisierung und bugfixes etc.

Schlagt mich wenn ich nun ne dumme frage gestellt hab Blush
Zitieren
#2
Vorweg: Das MyBB verwendet mit JQuery 1.11.1 eine aktuellste JQuery-Version. jQuery 2 wird nicht verwendet, da es den Internet Explorer 8 (leider noch recht verbreitet) und älter nicht unterstützt. Dies wir auch von jQuery so empfohlen (http://jquery.com/download/):
Zitat:Since IE 8 is still relatively common, we recommend using the 1.x version unless you are certain no IE 6/7/8 users are visiting the site.

Meines Wissens sind beide aktuellen jQuery-Versionen zueinander kompatibel, garantieren kann ich das bei den vielen jQuery-Bibliotheken, die das MyBB verwendet, aber natürlich nicht. Wink
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#3
Man dankt!

Schade das einige das Netz bei der Modernisierung hindern indem sie nichtmal Aktuelle Browser verwenden..
Zitieren